Package net.dona.doip.util.tls

# Class TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper

java.lang.Object
javax.net.ServerSocketFactory
javax.net.ssl.SSLServerSocketFactory
net.dona.doip.util.tls.TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper

Enclosing class:
  TlsProtocolAndCipherSuiteConfigurationUtil

public static class TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper extends SSLServerSocketFactory
A wrapper for an `SSLServerSocketFactory` which ensures that all created server sockets will use appropriate protocols and cipher suites.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerSocketFactoryWrapper(SSLServerSocketFactory delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerSocket`
  `createServerSocket()`
  `ServerSocket`
  `createServerSocket(int port)`
  `ServerSocket`
  `createServerSocket(int port, int backlog)`
  `ServerSocket`
  `createServerSocket(int port, int backlog, InetAddress ifAddress)`
  `boolean`
  `equals(Object obj)`
  `String[]`
  `getDefaultCipherSuites()`
  `String[]`
  `getSupportedCipherSuites()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class javax.net.ssl.SSLServerSocketFactory

  `getDefault`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerSocketFactoryWrapper

    public ServerSocketFactoryWrapper(SSLServerSocketFactory delegate)

- ## Method Details

  - ### createServerSocket

    public ServerSocket createServerSocket() throws IOException
    Overrides:
      `createServerSocket` in class `ServerSocketFactory`
    Throws:
      `IOException`

  - ### createServerSocket

    public ServerSocket createServerSocket(int port, int backlog, InetAddress ifAddress) throws IOException
    Specified by:
      `createServerSocket` in class `ServerSocketFactory`
    Throws:
      `IOException`

  - ### createServerSocket

    public ServerSocket createServerSocket(int port, int backlog) throws IOException
    Specified by:
      `createServerSocket` in class `ServerSocketFactory`
    Throws:
      `IOException`

  - ### createServerSocket

    public ServerSocket createServerSocket(int port) throws IOException
    Specified by:
      `createServerSocket` in class `ServerSocketFactory`
    Throws:
      `IOException`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()
    Specified by:
      `getDefaultCipherSuites` in class `SSLServerSocketFactory`

  - ### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()
    Specified by:
      `getSupportedCipherSuites` in class `SSLServerSocketFactory`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`